/*--=============================================
            =        CSS        =
==============================================-*/

/*--=============================================
            =        Import        =
==============================================-*/

/* Fonts */
/* @import url(inc/recursos/fonts.css); */

/*--=============================================
            =          Var         =
==============================================-*/
/* Variables */
:root {
   --primary-font-family: "Mulish", sans-serif;

   /* Sidebar */
   --primary-sidebar-bg: #11101d;
   --primary-sidebar-color-text: #ffffff;
   --submenu-sidebar-bg: #1d1b31;
   --primary-home-bg: #e4e9f7;
   --primary-home-color-text: #11101d;
}

.dark {
   --primary-sidebar-bg: #11101d;
   --primary-sidebar-color-text: #ffffff;
   --submenu-sidebar-bg: #1d1b31;
   --primary-home-bg: #222222;
   --primary-home-color-text: #e4e9f7;
}

/*--=============================================
            =          General         =
==============================================-*/
* {
   margin: 0;
   padding: 0;
   box-sizing: border-box;
   /* font-family: "Poppins", sans-serif; */
   font-family: var(--primary-font-family);
}

/*--=============================================
            =          Sidebar         =
==============================================-*/
.sidebar {
   position: fixed;
   top: 0;
   left: 0;
   height: 100%;
   width: 260px;
   background: var(--primary-sidebar-bg);
   z-index: 100;
   transition: all 0.5s ease;
}
.sidebar.close {
   width: 78px;
}
.sidebar .logo-details {
   height: 60px;
   width: 100%;
   display: flex;
   align-items: center;
}
.sidebar .logo-details i {
   font-size: 30px;
   color: var(--primary-sidebar-color-text);
   height: 50px;
   min-width: 78px;
   text-align: center;
   line-height: 50px;
}
.sidebar .logo-details .logo_name {
   font-size: 22px;
   color: var(--primary-sidebar-color-text);
   font-weight: 600;
   transition: 0.3s ease;
   transition-delay: 0.1s;
}
.sidebar.close .logo-details .logo_name {
   transition-delay: 0s;
   opacity: 0;
   pointer-events: none;
}
.sidebar .nav-links {
   height: 100%;
   padding: 30px 0 150px 0;
   overflow: auto;
}
.sidebar.close .nav-links {
   overflow: visible;
}
.sidebar .nav-links::-webkit-scrollbar {
   display: none;
}
.sidebar .nav-links li {
   position: relative;
   list-style: none;
   transition: all 0.4s ease;
}
.sidebar .nav-links li:hover {
   background: var(--submenu-sidebar-bg);
}
.sidebar .nav-links li .icon-link {
   display: flex;
   align-items: center;
   justify-content: space-between;
}
.sidebar.close .nav-links li .icon-link {
   display: block;
}
.sidebar .nav-links .fas:before {
   padding: 0;
   margin: 0;
}

.sidebar .nav-links li i {
   height: 50px;
   min-width: 78px;
   text-align: center;
   line-height: 50px;
   color: var(--primary-sidebar-color-text);
   font-size: 20px;
   cursor: pointer;
   transition: all 0.3s ease;
}

.sidebar .nav-links li.showMenu i.arrow {
   transform: rotate(-180deg);
}
.sidebar.close .nav-links i.arrow {
   display: none;
}
.sidebar .nav-links li a {
   display: flex;
   align-items: center;
   text-decoration: none;
}

.sidebar .nav-links li a .link_name {
   font-size: 18px;
   font-weight: 400;
   color: var(--primary-sidebar-color-text);
   transition: all 0.4s ease;
}
.sidebar.close .nav-links li a .link_name {
   opacity: 0;
   pointer-events: none;
}
.sidebar .nav-links li .sub-menu {
   padding: 6px 6px 14px 80px;
   margin-top: -10px;
   background: var(--submenu-sidebar-bg);
   display: none;
}
.sidebar .nav-links li.showMenu .sub-menu {
   display: block;
}
.sidebar .nav-links li .sub-menu a {
   color: var(--primary-sidebar-color-text);
   font-size: 15px;
   padding: 5px 0;
   white-space: nowrap;
   opacity: 0.6;
   transition: all 0.3s ease;
}
.sidebar .nav-links li .sub-menu a:hover {
   opacity: 1;
}
.sidebar.close .nav-links li .sub-menu {
   position: absolute;
   left: 100%;
   top: -10px;
   margin-top: 0;
   padding: 10px 20px;
   border-radius: 0 6px 6px 0;
   opacity: 0;
   display: block;
   pointer-events: none;
   transition: 0s;
}
.sidebar.close .nav-links li:hover .sub-menu {
   top: 0;
   opacity: 1;
   pointer-events: auto;
   transition: all 0.4s ease;
}
.sidebar .nav-links li .sub-menu .link_name {
   display: none;
}
.sidebar.close .nav-links li .sub-menu .link_name {
   font-size: 18px;
   opacity: 1;
   display: block;
}
.sidebar .nav-links li .sub-menu.blank {
   opacity: 1;
   pointer-events: auto;
   padding: 3px 20px 6px 16px;
   opacity: 0;
   pointer-events: none;
}
.sidebar .nav-links li:hover .sub-menu.blank {
   top: 50%;
   transform: translateY(-50%);
}
.sidebar .profile-details {
   position: fixed;
   bottom: 0;
   width: 260px;
   display: flex;
   align-items: center;
   justify-content: space-between;
   background: var(--submenu-sidebar-bg);
   padding: 12px 0;
   transition: all 0.5s ease;
}
.sidebar.close .profile-details {
   background: none;
}
.sidebar.close .profile-details {
   width: 78px;
}
.sidebar .profile-details .profile-content {
   display: flex;
   align-items: center;
}
.sidebar.close .profile-details img {
   padding: 10px;
}
.sidebar .profile-details .profile_name,
.sidebar .profile-details .job {
   color: var(--primary-sidebar-color-text);
   font-size: 18px;
   font-weight: 500;
   white-space: nowrap;
   margin-left: 10px;
}
/* .sidebar.close .profile-details i, */
.sidebar.close .profile-details .profile_name,
.sidebar.close .profile-details .job {
   display: none;
}
.sidebar .profile-details .job {
   font-size: 12px;
}

/*--=============================================
            =          Card         =
==============================================-*/
.card {
   padding: 15px;
   border-radius: 10px;
   background: #ffffff;
}

.card__titulo {
   text-align: center;
   margin-bottom: 25px;
}

.card__titulo p {
   font-size: 24px;
   font-weight: bold;
   color: #6c757d;
}

/*--=============================================
   =          main         =
==============================================-*/
.main {
   position: relative;
   background: var(--primary-home-bg);
   /* height: 100vh; */
   overflow: auto;
   height: 100vh;
   left: 260px;
   width: calc(100% - 260px);
   transition: all 0.5s ease;
}
.sidebar.close ~ .main {
   left: 78px;
   width: calc(100% - 78px);
}

/*--=============================================
   =          main__header        =
==============================================-*/
.main__header {
   height: 60px;
   display: flex;
   align-items: center;
}
.main__header .bx-menu,
.main__header .text {
   color: var(--primary-home-color-text);
   font-size: 35px;
}
.main__header .bx-menu {
   margin: 0 15px;
   cursor: pointer;
}
.main__header .text {
   font-size: 26px;
   font-weight: 600;
}

.main__header .themeCheck .themeCheck__checkbox {
   opacity: 0;
   position: absolute;
}
.main__header .themeCheck .themeCheck__label {
   background-color: var(--primary-home-color-text);
   border-radius: 50px;
   cursor: pointer;
   display: flex;
   align-items: center;
   justify-content: space-between;
   padding: 5px;
   position: relative;
   height: 26px;
   width: 50px;
   transform: scale(0.9);
}
.main__header .themeCheck .themeCheck__label .ball {
   background-color: var(--primary-home-bg);
   border-radius: 50%;
   position: absolute;
   top: 2px;
   left: 2px;
   height: 22px;
   width: 22px;
   transform: translateX(0px);
   transition: transform 0.2s linear;
}

.main__header .themeCheck .themeCheck__checkbox:checked + .themeCheck__label .ball {
   transform: translateX(24px);
}

.main__header .themeCheck .fa-moon {
   color: var(--primary-home-bg);
}

.main__header .themeCheck .fa-sun {
   color: var(--primary-home-bg);
}

/*--=============================================
   =          main__content       =
==============================================-*/

.main__content {
   width: 97%;
   margin: 20px auto;

   display: grid;
   grid-gap: 25px;
}

/*--=============================================
   =          galeria        =
==============================================-*/

.galeria {
   /* Con grid */
   /* margin: 0 auto;
   display: grid;
   grid-gap: 20px;
   grid-template-columns: repeat(8, 1fr);

   align-items: center;
   justify-content: space-between; */

   /* Con flex */
   display: flex;
   flex-wrap: wrap;
   flex-direction: row;
   align-items: center;
   justify-content: center;
}

.galeria .galeria_imagen {
   /* Con grid */
   /* object-fit: unset; */
   /* height: 200px;
   width: auto;
   min-width: 145px;
   object-fit: cover;
   border-radius: 20px; */

   /* Con flex */
   margin: 10px;
   /* width: 145px; */
   /* height: 200px; */
   width: 193px;
   height: 258px;
   /* height: 300px; */
   object-fit: cover;
   border-radius: 1em;
}

.galeria .galeria_imagen--tabla {
   /* Con grid */
   /* object-fit: unset; */
   /* height: 200px;
   width: auto;
   min-width: 145px;
   object-fit: cover;
   border-radius: 20px; */

   /* Con flex */
   margin: 10px;
   width: 115px;
   height: 100%;
   object-fit: cover;
   border-radius: 1em;
}

.galeria .galeria_imagen:hover {
   opacity: 0.6;
   transition: 0.3s;
}

.galeria .galeria_imagen--tabla:hover {
   opacity: 0.6;
   transition: 0.3s;
}

.galeria .galeria_item {
   position: relative;
}

.galeria .galeria_item .option_item {
   display: block;
   position: relative;
   width: 193px;
   height: 258px;
   margin: 10px;
}

.galeria .galeria_item .option_item .checkbox {
   position: absolute;
   top: 0;
   left: 0;
   z-index: 1;
   opacity: 0;
}

.galeria .galeria_item .option_item .option_inner {
   width: 100%;
   height: 100%;
   background: #fff;
   text-align: center;
   padding: 58px 40px;
   cursor: pointer;
   color: #585c68;
   display: block;
   /* border: 5px solid transparent; */
   position: relative;
   background-position: center;
   /* background-size: 100% auto; */
   background-size: 100% 100%;
   border-radius: 15px;
}

.galeria .galeria_item .option_item .option_inner .icon {
   margin-bottom: 10px;
}

.galeria .galeria_item .option_item .option_inner .icon .fab {
   font-size: 32px;
}

.galeria .galeria_item .option_item .option_inner .name {
   user-select: none;
}

.galeria .galeria_item .option_item .checkbox:checked ~ .option_inner.wantToPlay {
   border: 5px solid #00ccff;
   color: #00ccff;
}

.galeria .galeria_item .option_item .checkbox:checked ~ .option_inner.playing {
   border: 5px solid #00db1d;
   color: #00db1d;
}

.galeria .galeria_item .option_item .checkbox:checked ~ .option_inner.beaten {
   border: 5px solid #0042d1;
   color: #0042d1;
}

.galeria .galeria_item .option_item .checkbox:checked ~ .option_inner.completed {
   border: 5px solid #ae00ff;
   color: #ae00ff;
}

.galeria .galeria_item .option_item .checkbox:checked ~ .option_inner.archived {
   border: 5px solid #d17000;
   color: #d17000;
}

.galeria .galeria_item .option_item .checkbox:checked ~ .option_inner.abandoned {
   border: 5px solid #c73002;
   color: #c73002;
}

.galeria .galeria_item .option_item .option_inner .tickmark {
   position: absolute;
   top: 0;
   left: 0;
   border: 20px solid;
   border-color: #000 transparent transparent #000;
   display: none;
}

.galeria .galeria_item .option_item .option_inner .tickmark:before {
   content: "";
   position: absolute;
   top: -15px;
   left: -18px;
   width: 20px;
   height: 10px;
   border: 3px solid;
   border-color: transparent transparent #fff #fff;
   transform: rotate(-45deg);
}

.galeria .galeria_item .option_item .checkbox:checked ~ .option_inner .tickmark {
   display: block;
}

.galeria .galeria_item .option_item .option_inner.wantToPlay .tickmark {
   border-color: #00ccff transparent transparent #00ccff;
}

.galeria .galeria_item .option_item .option_inner.playing .tickmark {
   border-color: #00db1d transparent transparent #00db1d;
}

.galeria .galeria_item .option_item .option_inner.beaten .tickmark {
   border-color: #0042d1 transparent transparent #0042d1;
}

.galeria .galeria_item .option_item .option_inner.completed .tickmark {
   border-color: #ae00ff transparent transparent #ae00ff;
}

.galeria .galeria_item .option_item .option_inner.archived .tickmark {
   border-color: #d17000 transparent transparent #d17000;
}

.galeria .galeria_item .option_item .option_inner.abandoned .tickmark {
   border-color: #c73002 transparent transparent #c73002;
}

.galeria .galeria_overlay {
   position: absolute;
   top: 0;
   left: 0;
   margin: 10px;
   /* width: 145px; */
   /* height: 200px; */
   width: 193px;
   height: 258px;
   border-radius: 1em;
   background: rgba(0, 0, 0, 0.6);
   color: #ffffff;
   display: flex;
   flex-direction: column;
   align-items: center;
   justify-content: space-around;
   opacity: 0;
   padding: 30px 0;
}

.galeria .galeria_overlay:hover {
   opacity: 1;
}

.galeria .galeria__title {
   font-size: 0.8em;
   font-weight: bold;
   text-align: center;
   margin: 0 5px;
}

.galeria .galeria__description {
   font-size: 1.25em;
   margin-top: 0.25em;
   text-align: center;

   width: 100%;
   display: flex;
   flex-direction: row;
   justify-content: space-evenly;
}

.galeria .galeria__description a {
   font-size: 1.4em;
   color: #ffffff;
}

.galeria .galeria__description a .btnInfo:hover {
   color: #ffd000;
}

.galeria .galeria__description a .btnAgregar:hover {
   color: #00eeff;
}
